Bug 1999091 - Console update toast notification can appear multiple times
Summary: Console update toast notification can appear multiple times
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.9
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.10.0
Assignee: Bryan Florkiewicz
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks: 2014048
TreeView+ depends on / blocked
 
Reported: 2021-08-30 12:05 UTC by Samuel Padgett
Modified: 2022-03-12 04:38 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Version: 4.9.0-0.nightly-2021-08-26-040328 Cluster ID: 14a9aa8e-996e-4c58-b9f2-97e337207784 Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.15; rv:91.0) Gecko/20100101 Firefox/91.0
Last Closed: 2022-03-12 04:37:58 UTC
Target Upstream Version:


Attachments (Terms of Use)
Screenshot (1.15 MB, image/png)
2021-08-30 12:05 UTC, Samuel Padgett
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 10092 0 None open Bug 1999091: Console update toast notification can appear multiple times 2021-09-16 20:20:11 UTC
Red Hat Product Errata RHSA-2022:0056 0 None None None 2022-03-12 04:38:16 UTC

Description Samuel Padgett 2021-08-30 12:05:43 UTC
Created attachment 1819068 [details]
Screenshot

If you leave the browser window open for a long time, it's possible to accumulate multiple "console has been updated" toast notifications. We should only show one. (See screenshot.)

Comment 2 Yadan Pei 2021-09-22 07:20:09 UTC
Leave the browser window open, toggle the Enable/Disable status of dynamic plugins on Cluster Settings Configuration page, we can see only one 'Web console update is available' message is shown

Verified on 4.10.0-0.nightly-2021-09-21-181111

Comment 6 errata-xmlrpc 2022-03-12 04:37:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.10.3 security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:0056


Note You need to log in before you can comment on or make changes to this bug.